will do.
thanks.



On Tue, Sep 6, 2011 at 4:26 PM, Arne Morten Kvarving <spiff@xboxmediacenter.com> wrote:
On Tue, Sep 6, 2011 at 4:19 PM, Thomas Amland <thomas.amland@gmail.com> wrote:
> Ok. I just noticed a missing update for dharma so please pull that one too:
> * addon: plugin.video.nrk
> * version: 3.1.1
> * url: git://github.com/takoi/xbmc-nrk-addon.git
> * branch - eden
> * xbmc version: eden

this needs to import xbmc.python at version 2.0. for your and my
sanity i just did the change and pushed, but please update in your
repo as well. see
http://wiki.xbmc.org/index.php?title=Eden_API_Changes

reason for bumping the api between eden and dharma is the fact that we
have changed from internal, bundled python 2.4 to external system
python 2.x (typically 2.6 or 2.7). this had some consequences, so we
had to bump. while stuff works for the most part, we don't allow
plugins that hasn't been confirmed working with the 2.0 api in the
repo.

> * addon: plugin.video.nrk
> * version: 2.1.1
> * url: git://github.com/takoi/xbmc-nrk-addon.git
> * branch - master
> * xbmc version: dharma

updated

cheers

spiff